package com.ruoyi.dz.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.dz.mapper.DzClassesMapper;
import com.ruoyi.dz.domain.DzClasses;
import com.ruoyi.dz.service.IDzClassesService;

/**
 * 学生班级Service业务层处理
 *
 * @author ruoyi
 * @date 2025-09-29
 */
@Service
public class DzClassesServiceImpl implements IDzClassesService
{
    @Autowired
    private DzClassesMapper dzClassesMapper;

    /**
     * 查询学生班级
     *
     * @param classId 学生班级主键
     * @return 学生班级
     */
    @Override
    public DzClasses selectDzClassesByClassId(Long classId)
    {
        return dzClassesMapper.selectDzClassesByClassId(classId);
    }

    /**
     * 查询学生班级列表
     *
     * @param dzClasses 学生班级
     * @return 学生班级
     */
    @Override
    public List<DzClasses> selectDzClassesList(DzClasses dzClasses)
    {
        return dzClassesMapper.selectDzClassesList(dzClasses);
    }

    @Override
    public List<DzClasses> selectDzClassesListBySchoolId(Long schoolId)
    {
        return dzClassesMapper.selectDzClassesListBySchoolId(schoolId);
    }

    /**
     * 新增学生班级
     *
     * @param dzClasses 学生班级
     * @return 结果
     */
    @Override
    public int insertDzClasses(DzClasses dzClasses)
    {
        dzClasses.setCreateTime(DateUtils.getNowDate());
        return dzClassesMapper.insertDzClasses(dzClasses);
    }

    /**
     * 修改学生班级
     *
     * @param dzClasses 学生班级
     * @return 结果
     */
    @Override
    public int updateDzClasses(DzClasses dzClasses)
    {
        dzClasses.setUpdateTime(DateUtils.getNowDate());
        return dzClassesMapper.updateDzClasses(dzClasses);
    }

    /**
     * 批量删除学生班级
     *
     * @param classIds 需要删除的学生班级主键
     * @return 结果
     */
    @Override
    public int deleteDzClassesByClassIds(Long[] classIds)
    {
        return dzClassesMapper.deleteDzClassesByClassIds(classIds);
    }

    /**
     * 删除学生班级信息
     *
     * @param classId 学生班级主键
     * @return 结果
     */
    @Override
    public int deleteDzClassesByClassId(Long classId)
    {
        return dzClassesMapper.deleteDzClassesByClassId(classId);
    }
}
